<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-menu-button color="secondary"></ion-menu-button>
    </ion-buttons>
    <ion-title>
        <ion-text color="light">
          <ion-text color="light" class="fw700">Test Drives</ion-text>
        </ion-text>
    </ion-title>
    <ion-buttons slot="end">
      <ion-button size="small" shape="round" color="medium" (click)="showNotifications()">
        <ion-icon name="notifications"></ion-icon>
        <ion-badge color="danger" slot="end">2</ion-badge>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
  <ion-toolbar color="light">
    <ion-searchbar [(ngModel)]="searchKey"></ion-searchbar>    
    <ion-buttons slot="end">
        <ion-button color="success" fill="solid" expand="block" (click)="newItem()">
            <ion-icon slot="start" size="large" name="add"></ion-icon>
          New
        </ion-button>
      </ion-buttons>
  </ion-toolbar>
  
  <ion-toolbar class="grid-toolbar" color="light">
    <ion-grid class="grid-header">
      <ion-row>
          <ion-col style="max-width:60px;min-width:60px;"><ion-text color="dark">#</ion-text></ion-col>
          <ion-col style="min-width:75px;max-width:75px;"></ion-col>
          <ion-col style="max-width:150px;min-width:150px;"><ion-text color="dark">Customer</ion-text></ion-col>
          <ion-col style="min-width:50px;max-width:50px;"><ion-text color="dark">Type</ion-text></ion-col>
          <ion-col style="min-width:90px;max-width:90px;"><ion-text color="dark">AppTime</ion-text></ion-col>
          <ion-col style="min-width:90px;max-width:90px;"><ion-text color="dark">RegTime</ion-text></ion-col>
          <ion-col style="min-width:80px;max-width:80px;"><ion-text color="dark">WaitTime</ion-text></ion-col>
          <ion-col style="min-width:140px;max-width:140px;"><ion-text color="dark">CSA</ion-text></ion-col>
      </ion-row>
      </ion-grid>      
  </ion-toolbar>
</ion-header>
<ion-content style="background-color:#fff;"> 
    <ion-grid style="padding:0px;">
      <ion-row *ngFor="let item of items" class="row-item">
        <ion-col style="min-width:60px;max-width:60px;">
            <ion-button (click)="viewItem(item.Id)" fill="clear" small
                [color]="item.Status=='Waiting'?'primary':'dark'">
                <ion-icon slot="start" name="eye"></ion-icon>
                {{item.QueueNo}}
            </ion-button> <br />
            <ion-icon name="key" *ngIf="item.IsKeyDrop"></ion-icon>
        </ion-col>
        <ion-col style="min-width:80px;max-width:80px;">
            <img src="assets/img/avatar.jpg" (click)="presentImage('assets/img/avatar.jpg')"/>          
        </ion-col>        
        <ion-col style="max-width:150px;min-width:150px;">
          <strong>{{item.CustomerName}}</strong> <br />
          <ion-text color="primary">{{item.RegNo}}</ion-text> <br />
          <ion-text [color]="item.Status=='Waiting'?'primary':'dark'">{{item.Status}}</ion-text> 
        </ion-col>              
        <ion-col style="min-width:50px;max-width:50px;">{{item.GroupCode}}</ion-col>              
        <ion-col style="min-width:90px;max-width:90px;">{{item.ApptTime}}</ion-col>
        <ion-col style="min-width:90px;max-width:90px;">{{item.QueuedOn}}</ion-col>
        <ion-col style="min-width:80px;max-width:80px;">{{item.TimeWaited}} mins</ion-col>        
        <ion-col style="min-width:140px;max-width:140px;">
          {{item.CSAName}}<br />
          <ion-text color="primary">{{item.ServeTime}} mins</ion-text>
        </ion-col>
      </ion-row>
    </ion-grid> 
</ion-content>
